curl -G https://api.chargeapi.co/v1/webhook_endpoints \
-H "Authorization: Bearer ch_sk_test_..." \
-d limit=10
{
"data": [
{
"id": "wh_wYtE1r6UhVvdV3m3GnyiBGr8LCH5EAjJ",
"object": "webhook_endpoint",
"api_version": "2026-03-01",
"application": null,
"created": "2026-04-01T00:10:01.015Z",
"description": null,
"enabled_events": ["report.succeeded", "reservation.confirmed"],
"livemode": false,
"metadata": {},
"secret": "whsec_2u7qKaxpLQBTiAAieuABcqVEohlxb0kg",
"status": "enabled",
"url": "https://example.com/webhook/endpoint"
}
],
"next_page_url": "https://api.chargeapi.co/v1/webhook_endpoints?page=page_34HSsPfro0pZjHwa6RzGNHcXFp6056P63NcfSt0SfWM&limit=10",
"previous_page_url": null
}
Webhook Endpoints
List Webhook Endpoints
curl -G https://api.chargeapi.co/v1/webhook_endpoints \
-H "Authorization: Bearer ch_sk_test_..." \
-d limit=10
{
"data": [
{
"id": "wh_wYtE1r6UhVvdV3m3GnyiBGr8LCH5EAjJ",
"object": "webhook_endpoint",
"api_version": "2026-03-01",
"application": null,
"created": "2026-04-01T00:10:01.015Z",
"description": null,
"enabled_events": ["report.succeeded", "reservation.confirmed"],
"livemode": false,
"metadata": {},
"secret": "whsec_2u7qKaxpLQBTiAAieuABcqVEohlxb0kg",
"status": "enabled",
"url": "https://example.com/webhook/endpoint"
}
],
"next_page_url": "https://api.chargeapi.co/v1/webhook_endpoints?page=page_34HSsPfro0pZjHwa6RzGNHcXFp6056P63NcfSt0SfWM&limit=10",
"previous_page_url": null
}
Returns a paginated list of webhook endpoint objects. Results are sorted by creation date, with the most recently created endpoints first.
curl -G https://api.chargeapi.co/v1/webhook_endpoints \
-H "Authorization: Bearer ch_sk_test_..." \
-d limit=10
{
"data": [
{
"id": "wh_wYtE1r6UhVvdV3m3GnyiBGr8LCH5EAjJ",
"object": "webhook_endpoint",
"api_version": "2026-03-01",
"application": null,
"created": "2026-04-01T00:10:01.015Z",
"description": null,
"enabled_events": ["report.succeeded", "reservation.confirmed"],
"livemode": false,
"metadata": {},
"secret": "whsec_2u7qKaxpLQBTiAAieuABcqVEohlxb0kg",
"status": "enabled",
"url": "https://example.com/webhook/endpoint"
}
],
"next_page_url": "https://api.chargeapi.co/v1/webhook_endpoints?page=page_34HSsPfro0pZjHwa6RzGNHcXFp6056P63NcfSt0SfWM&limit=10",
"previous_page_url": null
}
Parameters
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
Returns
Returns a page of webhook endpoints.array of object
required
Array of webhook endpoint objects.
string | null
required
URL for the next page of results.
string | null
required
URL for the previous page of results.

